Part: Forme din Plase

From FreeCAD Documentation
Revision as of 12:58, 25 August 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Part ShapeFromMesh‏‎

Menu location
Part → Create shape from mesh...
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part ConvertToSolid, Part RefineShape

Introduction

Introducere

Această comandă creează o formă dintr-un mesh object . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și Notes).

The inverse operation is Mesh FromPartShape from the Mesh Workbench.

Usage

Utilizare

  1. Selectați obeictul tip plasă.
  2. Choose Part Create shape from mesh ... from the top menu.
  3. A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
  4. A shape from the mesh object is created as a seperate new object.

Limitări

There will be no analyzing or validating of the mesh object.
Analyzing and repairing of the mesh (if needed) should be done manually before conversion.
Appropriate tools are available in the Mesh Workbench.

After creation of a Shape, it may be useful to use Convert to solid (necessary for boolean operations) and Refine shape.

Links

Scripting

Creating a Shape from a Mesh can be done by using the makeShapeFromMesh method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()